import { ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import moment from 'moment';
import { CalendarComponent } from '../calendar/calendar.component';
import { DatepickerService } from '../../services/datepicker.service';
import { ClockComponent } from '../clock/clock.component';
import { DateRange } from '../../models/date-range';
export interface DatepickerOptions {
    theme?: string;
    format?: string;
    date?: boolean;
    time?: boolean;
    static?: boolean;
}
export declare const DefaultDatepickerOptions: DatepickerOptions;
export declare enum DatepickerPosition {
    BottomLeft = 0,
    BottomRight = 1,
    TopLeft = 2,
    TopRight = 3,
}
export declare class DatepickerComponent implements OnInit, OnDestroy {
    private cd;
    private platformId;
    private datepickerService;
    input: any;
    options: DatepickerOptions;
    dateRanges: DateRange[];
    root: ElementRef;
    calendar: CalendarComponent;
    clock: ClockComponent;
    change: EventEmitter<moment.Moment>;
    opened: boolean;
    position: DatepickerPosition;
    positions: typeof DatepickerPosition;
    constructor(cd: ChangeDetectorRef, platformId: Object, datepickerService: DatepickerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    isPlatformServer(): boolean;
    readonly currentOptions: any;
    isInside(el: any, container: any): boolean;
    updateValue(): void;
    open(): void;
    close(): void;
    constructValue(): moment.Moment;
    onDateChange(): void;
    onTimeChange(): void;
}
